%define upstream_name    Devel-REPL
%define upstream_version 1.003027

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    a modern perl interactive shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Concise)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.27.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.930.0
BuildRequires: perl(Moose::Meta::Role)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Getopt) >= 0.180.0
BuildRequires: perl(MooseX::Object::Pluggable) >= 0.0.900
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::CheckDeps) >= 0.7.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an interactive shell for Perl, commonly known as a REPL - Read,
Evaluate, Print, Loop. The shell provides for rapid development or
testing of code without the need to create a temporary source code file.

Through a plugin system, many features are available on demand. You can
also tailor the environment through the use of profiles and run control
files, for example to pre-load certain Perl modules when working on a
particular project.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make


%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/re.pl


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.3.27-4pclos2017
- rebuild against updates

